/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.ejb3.test.regression;

import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.ManyToOne;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;

@Entity(name = "Employee")
@Inheritance(strategy = InheritanceType.JOINED)
public class Employee extends Contact
{

   private String first;
   private String last;
   private String cell;
   private Branch branch;

   public Employee()
   {
   }

   public String getFirst()
   {
      return this.first;
   }

   public void setFirst(String first)
   {
      this.first = first;
   }

   public String getLast()
   {
      return this.last;
   }

   public void setLast(String last)
   {
      this.last = last;
   }

   public String getCell()
   {
      return this.cell;
   }

   public void setCell(String cell)
   {
      this.cell = cell;
   }

   @ManyToOne
   @JoinColumn(name = "branch")
   public Branch getBranch()
   {
      return this.branch;
   }

   public void setBranch(Branch branch)
   {
      this.branch = branch;
   }
}
